apiVersion: apps/v1
kind: Deployment
metadata:
  name: expense-calculator-node-react
  labels:
    name: node
spec:
  replicas: 1
  selector:
    matchLabels:
      app: node
  template:
    metadata:
      labels:
        app: node
    spec:
      containers:
        - name: expense-calculator-node-react
          image: gcr.io/adroit-listener-360817/cluster-1
          env:
            - name: NODE_ENV
              value: "development"
            - name: PORT
              value: "8080"
          ports:
            - containerPort: 8080
          readinessProbe:
            httpGet:
              path: /
              port: 8080
            initialDelaySeconds: 5
            timeoutSeconds: 5
            periodSeconds: 5
      restartPolicy: Always
